GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Get Account Detail

REST APIsCommonAdminGet Account Detail

Get Account Detail

POSThttps://api.gemini.com/v1/account

The account API will return detail about the specific account requested such as users, country codes, etc.

POSTv1/account
curl --request POST \
  --url https://api.gemini.com/v1/account \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/account",
  "nonce": "<nonce>",
  "account": "primary"
}
'

Roles

The API key you use to access this endpoint can be either a Master or Account level key with any role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v1/account"
nonceinteger·required
timestampExample: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Master API keys can get all account names using the [Get Accounts endpoint](/rest/account-administration#list-accounts-in-group).
Example request body
{
  "request": "/v1/account",
  "account": "primary",
  "nonce": "<nonce>"
}

Responses

Successful operation

accountobject
Contains information on the requested account
account.accountNamestring
The name of the account provided upon creation. Will default to `Primary`
account.shortNamestring
Nickname of the specific account (will take the name given, remove all symbols, replace all " " with "-" and make letters lowercase)
account.typestring
The type of account. Will return either `exchange` or `custody`
account.createdstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
usersarray
Contains an array of JSON objects with user information for the requested account
users[].namestring
Full legal name of the user
users[].lastSignInstring
Timestamp of the last sign for the user. Formatted as yyyy-MM-dd'T'HH:mm:ss.SSS'Z'
users[].statusstring
Returns user status. Will inform of `active` users or otherwise not active
users[].countryCodestring
2 Letter country code indicating residence of user
users[].isVerifiedboolean
Returns verification status of user
memo_reference_codestring
Returns wire memo reference code for linked bank account
virtual_account_numberstring
Virtual account number for the account. Only populated if applicable for the account
Example Responses
{
  "account": {
    "accountName": "Primary",
    "shortName": "primary",
    "type": "exchange",
    "created": "1498245007981"
  },
  "users": [
    {
      "name": "Satoshi Nakamoto",
      "lastSignIn": "2020-07-21T13:37:39.453Z",
      "status": "Active",
      "countryCode": "US",
      "isVerified": true
    },
    {
      "name": "Gemini Support",
      "lastSignIn": "2018-07-11T20:04:36.073Z",
      "status": "Suspended",
      "countryCode": "US",
      "isVerified": false
    }
  ],
  "memo_reference_code": "GEMPJBRDZ",
  "virtual_account_number": "123456"
}
PreviousCreate New AccountNextList Accounts in Group
Last modified on May 5, 2026